Class | WSDL::SOAP::Address
In: | wsdl/soap/address.rb
Parent: | Info

### Methods

new parse_attr parse_element

### Attributes

location | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/soap/address.rb, line 19
      def initialize
        super
        @location = nil
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/soap/address.rb, line 28
      def parse_attr(attr, value)
        case attr
        when LocationAttrName
          @location = value.source
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/soap/address.rb, line 24
      def parse_element(element)
        nil
      end

[Validate]